cmac.h File Reference

Classes for CMAC message authentication code. More...

Go to the source code of this file.

## Classes

class | CMAC_Base
| CMAC base implementation. More...
class | CMAC< T >
| CMAC message authentication code. More...

## Macros

#define | CRYPTOPP_CMAC_WIDE_BLOCK_CIPHERS 1
| Enable CMAC and wide block ciphers.

## Detailed Description

Classes for CMAC message authentication code.

Since
  Crypto++ 5.6.0

Definition in file cmac.h.

## Macro Definition Documentation

## CRYPTOPP_CMAC_WIDE_BLOCK_CIPHERS

#define CRYPTOPP_CMAC_WIDE_BLOCK_CIPHERS 1

Enable CMAC and wide block ciphers.

CMAC is only defined for AES. The library can support wide block ciphers like Kaylna and Threefish since we know the polynomials.

Definition at line 17 of file cmac.h.